document.addEventListener("DOMContentLoaded", function () {
  // 获取login元素
  var loginDiv = document.getElementById("login");

  // 创建新的父级盒子
  var parentBox = document.createElement("div");
  parentBox.id = "login-wrapper";

  // 将login元素替换为父级盒子
  if (loginDiv && loginDiv.parentNode) {
    loginDiv.parentNode.insertBefore(parentBox, loginDiv);
    parentBox.appendChild(loginDiv);
  }

  // 创建一个兄弟级盒子
  var siblingBox = document.createElement("div");
  siblingBox.id = "login-sibling";
  //创建盒子内的结构
  const s_child_h = document.createElement("h2")
  const s_child_p = document.createElement("p")
  const s_child_b = document.createElement("button")
  // 添加类
  s_child_h.className = "l_s_title"
  s_child_p.className = "l_s_des"
  s_child_b.className = "l_s_but"

  //添加内容
  s_child_h.innerHTML = wp_vars.blog
  s_child_p.innerHTML = "欢迎各位访问本网站！"
  s_child_b.innerHTML = "立即返回"

  //绑定事件
  s_child_b.addEventListener('click',back_list)

  //事件
  function back_list(e){
    console.log("点击事件被触发了",e)
    // window.open('/luntan')
  }
  
  //添加结构至父元素
  siblingBox.appendChild(s_child_h)
  siblingBox.appendChild(s_child_p)
  siblingBox.appendChild(s_child_b)

  // 将兄弟级盒子添加到login元素的前面
  if (loginDiv && loginDiv.parentNode) {
    loginDiv.parentNode.insertBefore(siblingBox, loginDiv);
  }

  //创建弹出层协议
  const showTipsWindown = document.createElement('div')  //协议外层结构
  const t_w_title = document.createElement('h2')  //协议标题
  const t_w_content = document.createElement('p')  //协议内容

  //已阅读协议按钮
  const haveRead = document.createElement('div')  
  const haveRead_button = document.createElement('button')  

  //添加类
  showTipsWindown.className = "tipswindown"
  haveRead.className = "haveRead"
  haveRead_button.classList.add('haveRead_button', 'haveRead_button_no');

  //添加内容
  t_w_title.innerHTML = "服务协议"
  t_w_content.innerHTML = `欢迎您加入我们，为维护网上公共秩序和社会稳定，请您自觉遵守以下条款，请仔细阅读，注册本站会员则默认接受本站协议。<br/>
  一、基本协议：<br/>
  不得利用本站危害国家安全、泄露国家秘密，不得侵犯国家社会集体的和公民的合法权益，不得利用本站制作、复制和传播下列信息：<br/>
  （一）煽动抗拒、破坏宪法和法律、行政法规实施的；<br/>
  （二）煽动颠覆国家政权，推翻社会主义制度的；<br/>
  （三）煽动分裂国家、破坏国家统一的；<br/>
  （四）煽动民族仇恨、民族歧视，破坏民族团结的；<br/>
  （五）捏造或者歪曲事实，散布谣言，扰乱社会秩序的；<br/>
  （六）宣扬封建迷信、淫秽、色情、赌博、暴力、凶杀、恐怖、教唆犯罪的；<br/>
  （七）公然侮辱他人或者捏造事实诽谤他人的，或者进行其他恶意攻击的；<br/>
  （八）损害国家机关信誉的；<br/>
  （九）其他违反宪法和法律行政法规的；<br/>
  （十）进行商业广告行为的。<br/>
  （十一）互相尊重，对自己的言论和行为负责<br/>
  二、服务协议的确定：<br/>
  沃之涛科技有限公司致力为用户搭建一个在线授权平台，只要在本站注册成为会员就可以在本平台授权插件、主题、定制开发等其他的第三方使用，有您们的支持与信任，我们会做得更好！<br/>
  我们根据相关法律、法规为用户提供网上授权支付等服务协议。依照本协议注册并同意以下服务条款方可享受我们提供的第三方服务，为保障用户
  的合法权益，请用户注册时务必按照真实、全面、准确的原则填写。<br/>
  三.会员与资料安全<br/>
  　　本网站仅提供第三方授权及插件服务的平台，所有会员务必保护好自己的帐号及密码，如出现帐号或密码被盗用，责任全部由会员自己承担。沃之涛科技有
  限公司承诺对用户注册之隐私信息绝对保密。未经用户授权或同意，不得擅自将用户信息用于处理用户委托代购行为以外的其他活动（涉及相关法律事件除外）。
  沃之涛科技有限公司对用户注册信息提供最大限度的安全保障。同时，用户务必对其用户密码、个人帐号等信息自行保密，免被盗用或篡改。用户如发现上述情
  况请立即与本站联系。<br/>
  四、用户享受的权利<br/>
  1、用户有权可自行申请授权自己的网站，为保护用户账号安全，所有注册用户名称不能更改。<br/>
  如下情况，网站将对用户的注册ID号作回收处理：<br/>
  1)用户注册违反本网站的协议，网站有权立即终于该ID的使用权。<br/>
  2)用户注册后连续半年以上没登陆网站。<br/>
  3)一人使用多帐号情况。<br/>
  4)利用网站漏洞作弊、刷单等给本站造成损失的。<br/>
  五、购买协议<br/>
  1、Wordpress主题和插件属于数字软件产品，不适用于7天无理由退款，因此一经售出不予退还。<br/>
  2、购买授权只限于单个或多个授权，已经授权成功无法变更及退款。<br/>
  3、如果发现授权域名内容属于非法活动及含有黄赌毒内容，我公司有权停止授权。<br/>
  4、购买充值积分，因属于虚拟产品不适用于7天无理由退款，因此一经售出不予退还。<br/>
  5、在本站线上支付的软件定制需求应按照单独签署的合同协议规则。<br/>
  六、有关问题的处理<br/>
  1、本公司旗下产品都为软件类，购买并获得授权以后无法退款处理。<br/>
  2、本公司有权力更改第三方授权的价格及优惠折扣信息。<br/>
  3、网站的优惠规则及下架信息不会逐一的通知用户。<br/>
  4、一个用户只能注册一个帐号，如果发现重复注册，一经发现将取消其资格。<br/>
  5、购买授权以后，无法更换、转让及撤销。<br/>
  6、授权使用以后，用户自身服务器或其他原因造成插件及服务无法使用的，需要用户自行处理。<br/>
  7、对插件进行破解及进行销售的，我们将会采用相关法律手段维护权益。<br/>
  8、由于用户将密码告知他人或与他人共享注册帐户，由此导致的任何个人资料泄露，以及由此产生的纠纷由用户自行承担。<br/>
  9、任何由于黑客攻击、计算机病毒侵入或发作、因政府管制而造成的暂时性关闭等影响网络正常经营之不可抗力而造成的个人资料或委托兑换指令泄露、丢失、
  被盗用、被篡改等，以及由此产生的纠纷公司不负任何责任。<br/>
  10、您使用的产品部分组件或模块基于外部链接，如果出现外部链接失效我们将不负有责任。<br/>
  七、沃之涛科技有限公司有权在必要时修改服务条款.如果用户继续使用网络服务，则视为接受服务条款的变动。<br/>
  八、沃之涛科技有限公司将在为用户提供服务的过程中，竭尽可能地维护和完善沃之涛科技有限公司提供的各种服务。用户在使用沃之涛科技有限公司产品过程中
  自行承担风险，沃之涛科技有限公司不担保服务一定能满足用户的要求，也不担保服务不会受中断，对服务的及时性，安全性，出错发生都不作担保。<br/>
  九、任何用户在登录沃之涛科技有限公司和接受沃之涛科技有限公司提供的各种服务过程中不得采用任何非正当手段，包括但不限于利用程序错误等行为，沃之涛
  科技有限公司保留对违反者采取一切手段，直至追究法律责任的权利。<br/>
  十、本网站所提供一切资讯、数据仅供用户参考浏览，今日推荐上的推荐方案全属本站会员个人见解与本网站无关，各位浏览者必须留意本身所处之地区及相关法
  律，不得利用本网站所提供的信息进行任何非法活动。否则，任何情况下导致触犯所属地区之法律，浏览者须自行承担责任。所有本网站内刊载之广告，均为广告
  客户的个人意见及表达方式，与本站无任何关系。在本网站链接的广告，无论是免费、付费还是公益广告，其广告网站内容一律不得违反国家现行的法律、法规和
  主管部门的有关规定，不得涉及反动、迷信、淫秽、赌博等有害内容；拒绝为任何博彩性质的公司进行广告链接。如有违背，我们有权随时删除有关的广告，并保
  留与有关部门合作追究的权力和义务。<br/>
  十一、服务条款修订<br/>
  本网有权在必要时修改服务条款，服务条款一旦发生变动，将会在重要页面上提示修改内容。<br/>
  十二、本服务条款未尽事项由沃之涛科技有限公司科技有限公司作出最终解释、补充，或另行约定附则。`
  haveRead_button.innerHTML = '我已阅读'

  //添加结构
  showTipsWindown.appendChild(t_w_title)
  showTipsWindown.appendChild(t_w_content)
  haveRead.appendChild(haveRead_button)

  //将协议结构添加到login中
  loginDiv.appendChild(showTipsWindown)
  loginDiv.appendChild(haveRead)


  //没有值，或者值为false，才重新覆盖，防止用户强制刷新页面导致协议再次出现
  if(!localStorage.getItem('closePopups') && !JSON.parse(localStorage.getItem('closePopups'))){
     localStorage.setItem('closePopups',JSON.stringify(false))
  }
  
  //绑定事件
  let isButtonTap = false  //协议按钮是否可以被点击
  let isShowTipsWindown = JSON.parse(localStorage.getItem('closePopups')) || false  //弹出层是否被用户手动关闭
  const s_height = showTipsWindown.scrollHeight  //实际高度
  const c_height = showTipsWindown.clientHeight  //可视区高度

  //切换按钮状态
  function is_click_button(){
    haveRead_button.classList.remove('haveRead_button_no')
    haveRead_button.classList.add('haveRead_button_yes')
    isButtonTap = true
  }

  //初始判断
  if(s_height > c_height){
    //如果实际高度大于可视区高度，证明有滚动条
    showTipsWindown.addEventListener('scroll',xy_scrlloTop)
  }else{
    //反之直接让按钮可以点击
    is_click_button()
  }

  //计算协议向上滚动的距离
  function xy_scrlloTop(e){
    const s_top = showTipsWindown.scrollTop  //被卷去的高度
    if(s_top + c_height >= s_height - 10){
      //预留10px
      is_click_button()
    }
  }

  //点击按钮关闭弹窗
  haveRead_button.addEventListener('click',click_hide_TipsWindown)

  function click_hide_TipsWindown(){
    if(isButtonTap){
      showTipsWindown.style.opacity = '0'  //关闭协议
      showTipsWindown.style.visibility = 'hidden' 
      haveRead.style.opacity = '0'  //同时关闭按钮自身
      haveRead.style.visibility = 'hidden'   
      localStorage.setItem('closePopups',JSON.stringify(true)) //弹出层被用户手动关闭
    }
  }

  //监听用户点击注册按钮，打开注册弹窗
  const registerButtonDoM = document.querySelector("#wp-submit.button.button-primary.button-large[value='注册']")

  //用户点击注册按钮
  registerButtonDoM.addEventListener('click',registerClick)

  function registerClick(){
    isShowTipsWindown = JSON.parse(localStorage.getItem('closePopups'))
    if(!isShowTipsWindown){
      event.preventDefault()
      showTipsWindown.style.opacity = '1'  //显示协议
      showTipsWindown.style.visibility = 'visible' 
      haveRead.style.opacity = '1'  //显示按钮
      haveRead.style.visibility = 'visible'  
    }
  }
});
